kwin needs separate compile for active

Bug #956186 reported by Jonathan Riddell on 2012-03-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kubuntu-active-meta (Ubuntu)
Undecided
Rodrigo Belem

Bug Description

16:48 * mgraesslin wants to point out that kwin active does not have windecos ;-)

16:49 < mgraesslin> Riddell: in fact it is a build option to have adjustments

16:50 < mgraesslin> Riddell: it is possible to configure it, but I consider kwin active and kwin as two different projects which should not be in one distro package

Jonathan Riddell (jr) wrote :

16:55 < notmart> atm we default to kwin_gles

16:55 < mgraesslin> at the moment just installing active would break the desktop as the config is completely rewritten without revert possabilities

mgraesslin is considering changing the binary name to stop this in future

Jonathan Riddell (jr) on 2012-03-15
tags: added: kubuntu
Changed in kubuntu-active-meta (Ubuntu):
milestone: none → ubuntu-12.04-beta-2
Changed in kubuntu-active-meta (Ubuntu):
milestone: ubuntu-12.04-beta-2 → ubuntu-12.04
Rodrigo Belem (rbelem) wrote :
Download full text (3.6 KiB)

It is failing to build when passing -DKWIN_PLASMA_ACTIVE=true as build argument, even without patches applied.

make -f kwin/effects/CMakeFiles/kwin4_effect_builtins.dir/build.make kwin/effects/CMakeFiles/kwin4_effect_builtins.dir/build
make[2]: Entering directory `/home/rodrigo/devel/sources/kde/kde-workspace/ubuntu/new/kde-workspace-4.8.2a/debian/build-kwin-active'
/usr/bin/cmake -E cmake_progress_report /home/rodrigo/devel/sources/kde/kde-workspace/ubuntu/new/kde-workspace-4.8.2a/debian/build-kwin-active/CMakeFiles
[ 80%] Building CXX object kwin/effects/CMakeFiles/kwin4_effect_builtins.dir/screenshot/screenshot.o
cd kwin/effects && /usr/lib/icecc/bin/c++ -DMAKE_KWIN4_EFFECT_BUILTINS_LIB -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=56 -DHAVE_CONFIG_H=1 -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DDISABLE_NEPOMUK_LEGACY -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -DNDEBUG -DQT_NO_DEBUG -fPIC -I. -I../../../../kwin/effects -I../../../../libs/kworkspace -I../../../../libs/kephal -I../../../../kwin/tabbox -I../../../../kwin/libkdecorations -I../../../../kwin/libkwineffects -I.. -I../libkwineffects -I../../../.. -I../.. -I../../../../libs -I/usr/include/KDE -I/usr/include/qt4/phonon -I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtHelp -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDeclarative -I/usr/include/qt4/QtDBus -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DKWIN_HAVE_OPENGL -o CMakeFiles/kwin4_effect_builtins.dir/screenshot/screenshot.o -c ../../../../kwin/effects/screenshot/screenshot.cpp
../../../../kwin/effects/screenshot/screenshot.cpp: In member function ‘virtual void KWin::ScreenShotEffect::postPaintScreen()’:
../../../../kwin/effects/screenshot/screenshot.cpp:130:41: error: ‘setXRenderOffscreen’ was not declared in this scope
../../../../kwin/effects/screenshot/screenshot.cpp:132:44: error: ‘xRenderOffscreenTarget’ was not declared in this scope
../../../../kwin/effects/screenshot/screenshot.cpp: In member function ‘QString KWin::ScreenShotEffect::blitScreenshot(const QRect&)’:
../../../../kwin/effects/screenshot/screenshot.cpp:223:37: error: ‘PictOpSrc’ was not declared in this scope
../../../../kwin/effects/screenshot/screenshot.cpp:224:112: error: ‘XRenderComposite’ was not declared in this scope
make[2]: ...

Read more...

Changed in kubuntu-active-meta (Ubuntu):
assignee: nobody → Rodrigo Belem (rbelem)
status: New → Confirmed
status: Confirmed → In Progress
Rodrigo Belem (rbelem) on 2012-04-07
Changed in kubuntu-active-meta (Ubuntu):
status: In Progress → Fix Committed
Jonathan Riddell (jr) on 2012-04-25
Changed in kubuntu-active-meta (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.